import { KeyValueStore, KeyValueStoreOptions } from "../data";
export interface InternalBucket {
    getKeyValueStore<T>(name: string, options?: KeyValueStoreOptions): KeyValueStore<T>;
    delete(): Promise<void>;
}
export declare function listInternalStorageBucketNames(): Promise<string[]>;
export declare function getInternalStorageBucket(bucket?: string): InternalBucket;
